跳转到主要内容
Deployment

列出 Deployment

分页列出业务空间下的部署

GET
/api/v1/agentstudio/deployments
cURL
curl --request GET \
  --url 'https://dashscope.aliyuncs.com/api/v1/agentstudio/deployments' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "data": [
    {
      "id": "depl_xxx",
      "type": "deployment",
      "name": "每日订单汇总",
      "status": "active",
      "agent": {
        "id": "agent_xxx",
        "version": 12
      },
      "environment_id": "env_xxx",
      "schedule": {
        "type": "cron",
        "expression": "0 9 * * 1-5",
        "timezone": "Asia/Shanghai",
        "last_run_at": null,
        "next_run_at": "2026-07-28T01:00:00Z"
      },
      "initial_events": [],
      "resources": [],
      "vault_ids": [],
      "metadata": {},
      "paused_reason": null,
      "archived_at": null,
      "created_at": "2026-07-28T01:00:00Z",
      "updated_at": "2026-07-28T01:00:00Z",
      "request_id": "req_xxx"
    }
  ],
  "next_page": null
}

鉴权

string
header
必填

DashScope API Key

查询参数

string

按 Agent ID 筛选

string

按 ID 或名称模糊搜索

enum<string>

按状态筛选

active,paused
boolean
默认值false

是否包含已归档的 Deployment

integer
默认值20

每页返回数量,最大 100

x <= 100
string

分页游标

string

创建时间下界,RFC 3339

string

创建时间上界,RFC 3339

响应

200-application/json
object[]
string | null